{
  "compilerOptions": {
    "target": "ESNext",
    "jsx": "preserve",
    "lib": [
      "DOM",
      "ESNext"
    ],
    "baseUrl": ".",
    "module": "ESNext",
    "moduleResolution": "Node",
    "paths": {
      "@/*": [
        "./src/*"
      ]
    },
    "resolveJsonModule": true,
    "types": [
      "vite/client",
      "vite-plugin-vue-layouts/client",
      "unplugin-vue-router/client"
    ],
    "allowJs": true,
    "strict": true,
    "strictNullChecks": true,
    "noUnusedLocals": true,
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "isolatedModules": true,
    "skipLibCheck": true
  },
  "include": [
    "./src/**/*.d.ts",
    "./src/**/*",
    "./src/**/*.{vue,ts,js}",
    "./src/**/**/*.json"
  ],
  "exclude": [
    "dist",
    "node_modules",
    "cypress"
  ],
  "references": [
    {
      "path": "./tsconfig.node.json"
    }
  ],
}